Beta Ramps API
Pool

Get Pool Wallets

GET
/pool/wallets

Authorization

headerAuthorizationBearer <token>

Scope: pool-wallets:read

Response Body

All pool wallets for the account in context. Wrapped in data; this list is not paginated.

application/json
  1. response
data*array<>
Example Request
curl -X GET 'https://api.betaramps.com/pool/wallets'
Example Response
{  "data": [    {      "id": "wal_0192f4e6-1a2b-7c3d-8e4f-5a6b7c8d9e01",      "account_id": "acc_0192f4e0-1a2b-7c3d-8e4f-5a6b7c8d9e01",      "asset": "USDT",      "network": "tron",      "address": "TR7NHqJeYQxXgjUbi9y7GnKJkMofT4zzNF",      "wallet_type": "pool_balance",      "is_active": true,      "autoexchange": false,      "created_at": "2026-10-30T12:00:00Z",      "updated_at": "2026-10-30T12:00:00Z"    }  ]}